Wireguard on VPS

New to Debian (Or Linux in general)? Ask your questions here!

Wireguard on VPS

Postby moelharrak » 2020-08-10 11:28

Hi,
I have an VPS running Debian 10 buster
I'm trying to install wireguard , but I can't up wg0.
# wg-quick up wg0
[#] ip link add wg0 type wireguard
Error: Unknown device type.
Unable to access interface: Protocol not supported
[#] ip link delete dev wg0
Cannot find device "wg0"

- I tried "dkms build wireguard/1.0.20200712"
Error! Your kernel headers for kernel 5.3.9 cannot be found.
Please install the linux-headers-5.3.9 package,
or use the --kernelsourcedir option to tell DKMS where it's located
- Also I tried to install linux-headers-5.3.9 but I can't on VPS --> unable to find linux-headers-5.3.9
- I don't understand why the server is showing 5.3.4 when I do uname -r instead of what debian 10 come with (4.19)?
Any help please ?
Thank you
moelharrak
 
Posts: 2
Joined: 2020-08-10 11:19

Re: Wireguard on VPS

Postby stevepusser » 2020-08-11 03:31

That's not a Debian Buster kernel--where did you get it? That's the root of your problem.

Tell us what "uname -a" reports in the terminal.
MX Linux packager and developer
User avatar
stevepusser
 
Posts: 11981
Joined: 2009-10-06 05:53

Re: Wireguard on VPS

Postby moelharrak » 2020-08-11 05:29

Yes I know it's not Debian Buster kernel's, That why I need to understand why it shows 5.3.9, Honestly I don't really know how VPS works , I said maybe the VPS take the kernel of the physical server and it's not customizable.
# uname -a
Linux vps45925 5.3.9 #1 SMP Thu Nov 7 09:59:16 CET 2019 x86_64 GNU/Linux
moelharrak
 
Posts: 2
Joined: 2020-08-10 11:19


Return to Beginners Questions

Who is online

Users browsing this forum: No registered users and 13 guests

fashionable